# Define the kmod package name here.
%define	kmod_name		ipmi_drivers
%define kmod_driver_version	39.1
%define kmod_rpm_relase		1

Name:	%{kmod_name}-kmod
Version: %{kmod_driver_version}
Release: %{kmod_rpm_relase}%{?dist}
Group:	 System Environment/Kernel
License: GPL v2
Summary: kernel modules for %{kmod_name} support
URL:	 http://www.kernel.org/

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-build-%(%{__id_u} -n)
ExclusiveArch: i686 x86_64

# Sources.
Source0: %{kmod_name}-%{version}.tar.bz2
Source1: %{kmod_name}-find-requires.ksyms
Source2: %{kmod_name}.symbols.greylist
Source10: kmodtool-%{kmod_name}

# Patches
Patch0:	el5.7-kmod-ipmi-panic-and-hang-fix.patch
Patch1: el5.7-kmod-ipmi-kcompat.patch

# If kversion isn't defined on the rpmbuild line, build for the current kernel.
%{!?kversion: %define kversion %(uname -r)}

# Define the variants for each architecture.
%define basevar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch i686 x86_64
%define xenvar xen
%endif

# If kvariants isn't defined on the rpmbuild line, build all variants for this architecture.
%{!?kvariants: %define kvariants %{?basevar} %{?xenvar} %{?paevar}}

# Magic hidden here.
%define kmodtool sh %{SOURCE10}
%define __find_requires %_sourcedir/%{kmod_name}-find-requires.ksyms
%{expand:%(%{kmodtool} rpmtemplate_kmp %{kmod_name} %{kversion} %{kvariants} 2>/dev/null)}

%description
This package provides the kernel modules for %{kmod_name} support.
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -c -T -a 0
%patch0 -p1
%patch1 -p1
for kvariant in %{kvariants} ; do
    %{__cp} -a %{kmod_name}-%{version} _kmod_build_$kvariant
    %{__cat} <<-EOF >_kmod_build_$kvariant/%{kmod_name}.conf
	override %{kmod_name} * weak-updates/%{kmod_name}
	EOF
done

%build
for kvariant in %{kvariants} ; do
    ksrc=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    %{__make} -C "${ksrc}" modules M=$PWD
    popd
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}
for kvariant in %{kvariants} ; do
    ksrc=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    %{__make} -C "${ksrc}" modules_install M=$PWD
    %{__install} -d ${INSTALL_MOD_PATH}/etc/depmod.d/
    %{__install} %{kmod_name}.conf ${INSTALL_MOD_PATH}/etc/depmod.d/
    popd
done
# Strip the module(s).
find ${INSTALL_MOD_PATH} -type f -name \*.ko -exec strip --strip-debug \{\} \;

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%changelog
* Tue Feb 28 2012 Haruo Tomita <haruo.tomita@toshiba.co.jp>
- Rebuild RHEL5.8(kernel-2.6.18-308.el5).

* Wed Jan 25 2012 Haruo Tomita <haruo.tomita@toshiba.co.jp>
- Fix depandencies error and rebuild RHEL5.8 Snapshot4(kernel-2.6.18-304.el5).

* Thu Jan 19 2012 Haruo Tomita <haruo.tomita@toshiba.co.jp>
- Rebuild for RHEL5.8 Snapshot3(kernel-2.6.18-303.el5).

* Sat Jan  7 2012 Haruo Tomita <haruo.tomita@toshiba.co.jp>
- Rebuild for RHEL5.8 Snapshot2(kernel-2.6.18-302.el5).

* Thu Jul 28 2011 Haruo Tomita <haruo.tomita@toshiba.co.jp>
- Initial build of the kmod packages.
- Original ipmi drivers code in RHELi6.1.

